package com.chinacreator.process.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.chinacreator.process.bean.VacOrderBean;

@Component
public class NewVacOrderService {
	
	@Autowired
	private TencentVacOrderService tencentVacOrderService;
	
	@Autowired
	private VacOrderService vacOrderService;

	 public int handle(VacOrderBean vacOrderBean){
		 if(vacOrderBean.getCpid().equals("tencent")){
			tencentVacOrderService.handle(vacOrderBean);
		 }else if(vacOrderBean.getCpid().equals("cctv")){
			 vacOrderService.handlecctv(vacOrderBean);
		 }
		 return 0;
	 }
}
